%define build_geoip	0

%define url_ver %(echo %{version} | cut -d. -f1,2)

%define api 2.0

Name:		geoclue
Version:	2.0.0
Release:	%mkrel 3
Summary:	A modular geoinformation service
Group:		Geography
License:	GPLv2+
URL:		http://geoclue.freedesktop.org/
Source0:	http://www.freedesktop.org/software/geoclue/releases/%{url_ver}/geoclue-%{version}.tar.xz
Patch0:		geoclue-1.99.4-pkgconfig-fix.patch
Patch500:		0500-Add-support-for-bus-activation-via-systemd.patch
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	libxml2-utils
BuildRequires:	pkgconfig(gio-2.0) >= 2.34.0
BuildRequires:	pkgconfig(gio-unix-2.0) >= 2.34.0
BuildRequires:	pkgconfig(glib-2.0) >= 2.34.0
BuildRequires:	pkgconfig(json-glib-1.0) >= 0.14
BuildRequires:	pkgconfig(libsoup-2.4)

%if %{build_geoip}
BuildRequires:	pkgconfig(geoip) >= 1.5.1
Requires:	geoip-database >= 1.5.1
Conflicts:	geocode-glib < 0.99.2
%endif

%description
Geoclue is a D-Bus service that provides location information. The
primary goal of the Geoclue project is to make creating location-aware
applications as simple as possible, while the secondary goal is to
ensure that no application can access location information without
explicit permission from user.

Geoclue used to also do (reverse-)geocoding but that functionality has
been dropped in favor of geocode-glib library.

However project is in the early stages of development and hence
lacking essential features. Currently it can only determine your
location based on your IP (i-e city-level accuracy) and does not have
any permission control.

%files
%doc NEWS README
%{_sysconfdir}/dbus-1/system.d/org.freedesktop.GeoClue2.conf
%{_datadir}/dbus-1/system-services/org.freedesktop.GeoClue2.service
%{_libexecdir}/geoclue
%{_unitdir}/geoclue.service
%if %{build_geoip}
%{_bindir}/geoip-update
%{_bindir}/geoip-lookup
%endif

#--------------------------------------------------------------------

%package devel
Summary:	Development files for geoclue2
Group:		Development/Other
BuildArch:	noarch
Obsoletes:	libgeoclue1.0-devel < 1.99.2
Obsoletes:	lib64geoclue1.0-devel < 1.99.2

%description devel
This package contains the development files for geoclue2.

%files devel
%{_datadir}/%{name}-%{api}/geoclue-interface.xml
%{_datadir}/pkgconfig/%{name}-%{api}.pc

#--------------------------------------------------------------------
%prep
%setup -q
%apply_patches

%build
autoreconf -vfi
%configure2_5x \
%if %{build_geoip}
        --enable-geoip-server=yes \
%else
	--enable-geoip-server=no \
%endif
	--disable-static \
	--with-systemdsystemunitdir=%{_unitdir}
%make

%install
%makeinstall_std


%changelog
* Fri Dec 20 2013 colin <colin> 2.0.0-3.mga4
+ Revision: 559133
- Use systemd for geoclue dbus service activation

* Sun Oct 20 2013 umeabot <umeabot> 2.0.0-2.mga4
+ Revision: 536800
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 wally <wally> 2.0.0-1.mga4
+ Revision: 485622
- new version 2.0.0

* Tue Sep 17 2013 wally <wally> 1.99.4-1.mga4
+ Revision: 480931
- new version 1.99.4
- rediff pkgconfig location patch

* Tue Sep 03 2013 wally <wally> 1.99.3-1.mga4
+ Revision: 474796
- new version 1.99.3
- clean unneeded BRs
- rediff pkgconfig patch

* Sat Aug 24 2013 fwang <fwang> 1.99.2-3.mga4
+ Revision: 471307
- cleared br
- geoip-update locates in geocode-glib previously

* Fri Aug 23 2013 wally <wally> 1.99.2-2.mga4
+ Revision: 470396
- obsolete old arch specific devel pkg

* Fri Aug 23 2013 wally <wally> 1.99.2-1.mga4
+ Revision: 470390
- new version 1.99.2
- rediff pkgconfig patch to install .pc file to %%_datadir as devel pkg is now noarch
- disable geoip-server build for now
- update description
- drop client-side library

* Wed Aug 21 2013 wally <wally> 1.99.1-2.mga4
+ Revision: 468849
- build with geoip support

* Wed Aug 21 2013 wally <wally> 1.99.1-1.mga4
+ Revision: 468840
- new version 1.99.1
- update license
- add patch to fix pkgconfig file
- update BRs

* Tue Aug 13 2013 wally <wally> 1.99.0-1.mga4
+ Revision: 466188
- new version 1.99.0 (first release of "new" geoclue)
- spec based on one from Olav Vitters

* Fri Jan 11 2013 umeabot <umeabot> 0.12.99-3.mga3
+ Revision: 351367
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 19 2012 fwang <fwang> 0.12.99-2.mga3
+ Revision: 308202
- update rpm group

* Fri Oct 19 2012 fwang <fwang> 0.12.99-1.mga3
+ Revision: 308201
- update file list
- fix build with latest gps
- add more br
- acturally use gtk2.0
- new version 0.12.99

  + ennael <ennael>
    - Documentation group

* Mon Jun 20 2011 dmorgan <dmorgan> 0.12.0-11.mga2
+ Revision: 110487
- Rebuild against new libnm-glib

* Tue Apr 05 2011 dmorgan <dmorgan> 0.12.0-10.mga1
+ Revision: 80751
- Add missing libgeoclue-devel provide

* Tue Apr 05 2011 pterjan <pterjan> 0.12.0-9.mga1
+ Revision: 80592
- Drop major from -devel

* Tue Apr 05 2011 pterjan <pterjan> 0.12.0-8.mga1
+ Revision: 80585
- Revert to standard name for devel package

* Mon Apr 04 2011 dmorgan <dmorgan> 0.12.0-7.mga1
+ Revision: 80509
- Provides libgeoclue-devel for compatibility

* Mon Apr 04 2011 dmorgan <dmorgan> 0.12.0-6.mga1
+ Revision: 80478
- Rebuild because of missing packages

* Thu Mar 24 2011 boklm <boklm> 0.12.0-5.mga1
+ Revision: 76141
- rebuild for bug #497

* Sat Mar 19 2011 dmorgan <dmorgan> 0.12.0-4.mga1
+ Revision: 74393
- Fix buildrequires
- Fix buildrequires
- Fix buildrequires
- Fix buildrequires
- Fix buildrequires
- Rebuild because of missing pacakges

* Mon Mar 07 2011 dmorgan <dmorgan> 0.12.0-3.mga1
+ Revision: 66282
- Bump release
- SYnc with fedora

* Sun Jan 23 2011 pterjan <pterjan> 0.12.0-2.mga1
+ Revision: 35402
- Drop old stuff
- imported package geoclue


* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 0.12.0-2mdv2011.0
+ Revision: 605446
- rebuild

* Sun Apr 04 2010 Emmanuel Andry <eandry@mandriva.org> 0.12.0-1mdv2010.1
+ Revision: 531453
- always need BR gtk-doc
- New version 0.12.0
- drop patches (merged upstream)

* Wed Mar 03 2010 Emmanuel Andry <eandry@mandriva.org> 0.11.1.1-0.20100119.2mdv2010.1
+ Revision: 513890
- diff p1 to fix build with gpsd-2.91

* Tue Jan 19 2010 Emmanuel Andry <eandry@mandriva.org> 0.11.1.1-0.20100119.1mdv2010.1
+ Revision: 493842
- New svn snapshot
- fix geoclue-test-gui packaging

* Sun Sep 27 2009 Frederik Himpe <fhimpe@mandriva.org> 0.11.1.1-0.20090310.2mdv2010.0
+ Revision: 450018
- Add patch fixing hostip provider for new API
  (freedesktop.org bug #24058)
- Update to 20090310 snapshot used by Fedora: fixes geoclue-master segfault
  when Empathy starts up

* Wed Aug 26 2009 Götz Waschk <waschk@mandriva.org> 0.11.1-2mdv2010.0
+ Revision: 421343
- fix devel provides

* Sun Jul 26 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.11.1-1mdv2010.0
+ Revision: 400470
- add buildrequires on xsltproc
- disable parallel make
- add spec and source files
- create geoclue

